moppi|demopaja

## Plasma Effect

The plasma effect distorts the image specified in the image parameter. There are three different distortion effects. The ripple effect creates a water drop kind of ripple effect from the center of the ripple. The warp effect warps the image along a sine curve in horizontal and vertical directions. Rotation rotates the image around the specified center point.

### Parameters

#### Transform

Position
  The position of the plasma
Pivot
  The pivot point of the plasma
Rotation
  The rotation angle of the plasma
Scale
  The scale factor of the plasma

#### Attributes

Size
  The original size of the plasma (when scale is 100%)
Color
  The color of the plasma. The the final color is the image color multiplied by this color.
Render mode
  The render mode can be Normal, Add (additive) or Mult (multiply).
Tile
  Sets the tiling of the image. Value of (1, 2) renders the image twice the height.
Image
  The image to warp.

#### Ripple

Amount
  Strength of ripple. (0..100)
Center
  The ripple center point
Frequency
  The ripple frequency. This parameter controls how close the ripples are from each other.
Speed
  The speed of the variation.

#### Warp

Amount
  Strength of warp. (0..100)
Center
  The center point of warping
Frequency
  The ripple frequency. This parameter controls how close the warps are from each other.
Speed
  The speed of the variation.

#### Rotation

Amount
  Strength of rotation. (0..100)
Center
  The center point of the rotation
Speed
  The speed of the variation.

Copyright © 2000 - 2002 Moppi Productions